CopyHero

Update Blueprint

PUT
/api/v1/blueprints/tasks/{id}

Update a TaskBlueprint. A global workflow may only use global tasks (422 otherwise).

Authorization

HTTPBearer
headerAuthorizationBearer <token>

Path Parameters

id*Id

Request Body

application/json
  1. body

Create a new TaskBlueprint by arranging existing TaskBlueprintJobs. Provide a list of job IDs in desired order.

name*Name
description?string|null
owner_id?integer|null
job_ids*array<integer>

Response Body

Successful Response

application/json
  1. response
name*Name
description?string|null
owner_id?integer|null
id*Id
jobs*array<>
created_at*Created At
Formatdate-time
updated_at*Updated At
Formatdate-time
Example Request
curl -X PUT 'https://app.copyhero.app/api/v1/blueprints/tasks/0' \  -H 'Content-Type: application/json' \  -d '{  "name": "string",  "job_ids": [    0  ]}'
Example Response
{  "name": "string",  "description": "string",  "owner_id": 0,  "id": 0,  "jobs": [    {      "name": "string",      "description": "string",      "job_type": "string",      "input_data": "string",      "id": 0,      "owner_id": 0,      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    }  ],  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z"}